C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     KSM_RESET          **
C****************************
C
C
CD-Routine: Reset default (undefined) symmetry - KSM_RESET
C This routine is used to resel the defaul (undefined) symmetry.
CD-end
CD-Fortran:
      SUBROUTINE KSM_RESET
CD-end
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Reset value of SYMMETRY 
C
C Author:  John W. Campbell, July 1995
C
C Arguments:
C
C
CD-Parameters:
C None
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== FUNCTION TYPES:
C

C
C====== LOCALS:
C
      INTEGER I
      INTEGER J
      INTEGER K

C     INTEGER I     !Temp/loop variable
C     INTEGER J     !Temp/loop variable
C     INTEGER K     !Temp/loop variable
C
C-------------------------------------------------------------------------------
C
C
C====== Set mask if not already set
C
      IF (SYMM_CH_MASK.EQ.0) THEN
         DO 5 I = 0, 15
            CALL STBITS (SYMM_CH_MASK,I,1,1)
 5       CONTINUE
      END IF
C
C====== Reset defaults
C
      SPGNAM = ' '
      PGNAM = ' '
      SYSTYP = ' '
      NSPGRP = 0
      NSYMP = 0
      NSYM = 0
      DO 30 K = 1, 192
         DO 20 J = 1, 4
            DO 10 I = 1,4
               ROTSYM(I,J,K) = 0.0
10          CONTINUE
20       CONTINUE
30    CONTINUE
      ISYS = 0
      KSYS(1) = 0
      KSYS(2) = 0
      KSYS(3) = 0
      IS_SYMM = 0
      CH_SYMM = SYMM_CH_MASK
      RETURN
      END
